## petsc4py 3.12.0

=== debian/changelog ===
petsc4py (3.12.0-4build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:38:17 +0100

petsc4py (3.12.0-4) unstable; urgency=medium

  * rebuild for testing migration

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Dec 2019 02:03:59 +1100

petsc4py (3.12.0-3) unstable; urgency=medium

  * rename python-petsc4py-docs package as python-petsc4py-doc.
    Closes: #945620.

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Dec 2019 11:28:57 +1100

petsc4py (3.12.0-2) unstable; urgency=medium

  * drop debian patch python3.8-fix.diff (3.11.0-3), applied upstream
    in 3.12

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Dec 2019 08:19:12 +1100

petsc4py (3.12.0-1) experimental; urgency=medium

  * New upstream release.
  * drop patch demo-wrap-swig-compile.patch: HDF5 handling fixed by
    PETSc upstream commit 6a0bd75 (in petsc 3.11.3+dfsg1-2)
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Wed, 16 Oct 2019 19:15:59 +0800

petsc4py (3.11.0-4) unstable; urgency=medium

  * python-petsc4py-docs drop Recommends: python-petsc4py.
    Closes: #945686.
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 01 Dec 2019 03:37:40 +0800

petsc4py (3.11.0-3) unstable; urgency=medium

  * drop patch demo-wrap-swig-compile.patch: HDF5 handling fixed by
    PETSc upstream commit 6a0bd75 (in petsc 3.11.3+dfsg1-2)
  * debian patch python3.8-fix.diff fixes build for Python 3.8.
    Closes: #942804.

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Nov 2019 17:31:02 +0800
