=== debian/control ===
Source: petsc4py
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Standards-Version: 4.4.1
Build-Depends: debhelper-compat (= 12), dh-python,
 python3-all-dev (>= 3.3),
 python3-distutils,
 cython3 (>= 0.22),
 python3-numpy (>= 1:1.4.1-4~),
 libpetsc-real3.12-dev, libpetsc-complex3.12-dev,
 chrpath,
 mpi-default-dev, libhdf5-mpi-dev,
 libjs-jquery (>= 3.1.0),
 libjs-underscore (>= 1.3.1)
Homepage: https://bitbucket.org/petsc/petsc4py
Vcs-Git: https://salsa.debian.org/science-team/petsc4py.git
Vcs-Browser: https://salsa.debian.org/science-team/petsc4py

Package: python3-petsc4py
Architecture: all
Depends: python3-petsc4py-real | python3-petsc4py-complex, ${misc:Depends}
Recommends: python-petsc4py-doc
Description: Python 3 bindings for PETSc libraries
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This is a dummy package that depends on the python3 petsc4py package with
 either real or complex number support.

Package: python3-petsc4py-real
Architecture: any
Depends: swig, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: python3-petsc4py (<< 3.10)
Recommends: python-petsc4py-doc
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for PETSc libraries (real numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of PETSc
 with real number support.

Package: python3-petsc4py-complex
Architecture: any
Depends: swig, ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: python3-petsc4py (<< 3.10)
Recommends: python-petsc4py-doc
XB-Python-Version: ${python3:Versions}
Description: Python 3 bindings for PETSc libraries (complex numbers)
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 This package provides Python 3 bindings to almost all functions of PETSc
 with complex number support.

Package: python-petsc4py-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-jquery (>= 3.1.0), libjs-underscore (>= 1.3.1), ${shlibs:Depends}, ${misc:Depends}
Recommends: python3-petsc4py
Conflicts: python-petsc
Breaks: python-petsc4py (<< 3.7.0-3), python-petsc4py-docs
Replaces: python-petsc4py-docs
XB-Python-Version: ${python:Versions}
Description: Python bindings for PETSc libraries: documentation and examples
 PETSc is a suite of data structures and routines for the scalable (parallel)
 solution of scientific applications modeled by partial differential equations.
 It employs the MPI standard for all message-passing communication.
 .
 petsc4py provides Python bindings to almost all functions of PETSc.
 This package provides documentation and examples for petsc4py.
