=== debian/tests/control ===
Tests: run-tests run-demos
Depends: @, @builddeps@,
    python3-numpy,
    gzip
Restrictions: allow-stderr
