=== debian/watch ===
version=3
https://bitbucket.org/petsc/petsc4py/downloads/ petsc4py@ANY_VERSION@\.tar\.gz debian uupdate
