## petsc4py 3.13.0

=== debian/changelog ===
petsc4py (3.13.0-4ubuntu4) groovy; urgency=medium

  * Don't fail new test on ppc64el and arm64 (See Debian bug: #969715)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Sep 2020 18:18:54 +0200

petsc4py (3.13.0-4) unstable; urgency=medium

  * split circular dependency by making python3-petsc4py
    Recommends: python3-petsc4py-real | python3-petsc4py-complex | etc
    rather than Depends. Closes: #963847.

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Jul 2020 23:52:33 +0800

petsc4py (3.13.0-3) unstable; urgency=medium

  * bring 64-bit petsc4py to unstable

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Jun 2020 13:44:50 +0800

petsc4py (3.13.0-2exp1) experimental; urgency=medium

  * provide packages python3-petsc4py-64-real, python3-petsc4py-64-complex,
    python3-petsc4py-64-real3.13 and python3-petsc4py-64-complex3.13
    built against 64-bit PETSc (64-bit indexing)
  * simplify debian/rules using versioned PYBUILD_NAME
  * skip wrap-swig and wrap-f2py MPI demos with 64-bit PETSc
    (they currently segfault and fail)

 -- Drew Parsons <dparsons@debian.org>  Sat, 20 Jun 2020 22:15:50 +0800

petsc4py (3.13.0-2) unstable; urgency=medium

  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Mon, 01 Jun 2020 00:46:53 +0800

petsc4py (3.13.0-1) experimental; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 12 Apr 2020 19:08:09 +0800

petsc4py (3.12.0-8) unstable; urgency=medium

  * rebuild to allow migration to testing

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Apr 2020 11:57:56 +0800

petsc4py (3.12.0-7) unstable; urgency=medium

  * Facilitate petsc4py support for multiple installed PETSc versions.
    - provide PETSc-version-specific packages python3-petsc4py-real3.12
      and python3-petsc4py-complex3.12.
    - python3-petsc4py-real and python3-petsc4py-complex are now dummy
      packages depending on the specific versioned packages.

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Mar 2020 16:02:43 +0800

petsc4py (3.12.0-6) unstable; urgency=medium

  * fix dh_python3 handling for arch-indep build

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Mar 2020 00:17:12 +0800

petsc4py (3.12.0-5) unstable; urgency=medium

  * Standards-Version: 4.5.0
  * python3-petsc4py-real and python-petsc4py-complex now install
    their modules under their respective PETSC_DIR.
  * python3-petsc4py is now a base package (not dummy) providing the
    path to the petsc4py module for the default PETSc installation in
    /usr/lib/petsc. Export the environment variable PETSC_DIR to use
    other PETSc versions or builds.
  * remove alternative links from real or complex modules to petsc4py
    module
  * run debian/tests/run-tests against complex build as well as
    default build

 -- Drew Parsons <dparsons@debian.org>  Sat, 14 Mar 2020 20:53:55 +0800
