## petsc4py 3.14.1

=== debian/changelog ===
petsc4py (3.14.1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patch drop_MATDAAD_9f01b074.patch

 -- Drew Parsons <dparsons@debian.org>  Tue, 19 Jan 2021 21:16:03 +1100

petsc4py (3.14.0-3) unstable; urgency=medium

  * debian patch drop_MATDAAD_9f01b074.patch applies the petsc4py
    portion of upstream commit 9f01b074 (PETSC 3.14.2) removing
    MATDAAD references. Closes: #978175.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 03 Jan 2021 02:15:37 +1100

petsc4py (3.14.0-2) unstable; urgency=medium

  * sourceful upload for migration to testing

 -- Drew Parsons <dparsons@debian.org>  Sun, 01 Nov 2020 10:10:44 +0800

petsc4py (3.14.0-1) unstable; urgency=medium

  * update debian/watch to watch source tarball on pypi.
    The upstream petsc4py repo is now inactive. petsc4py development
    source has been moved to the petsc repo,
    https://gitlab.com/petsc/petsc/-/tree/master/src/binding/petsc4py
    Pypi provides a specific petsc4py source tarball, split out from
    the petsc source (and including doc files).
  * New upstream release.
  * update debian patch demo_fixes.patch to fix build of poisson3d and
    perftest demos

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Oct 2020 14:30:42 +0800

petsc4py (3.13.0-10) unstable; urgency=medium

  * set __PETSC4PY_VERSION__ in debian scripts of all packages, not
    just arch-any packages.

 -- Drew Parsons <dparsons@debian.org>  Wed, 28 Oct 2020 11:00:54 +0800

petsc4py (3.13.0-9) unstable; urgency=medium

  * run MPI demos on 4 processes (power of 2 needed by kspsolve demo)
    Closes: #972385.
  * process docs with dh_sphinxdoc
    (with manual handling for searchtools.js,doctools.js,language_data.js)

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Oct 2020 23:28:28 +0800

petsc4py (3.13.0-8) unstable; urgency=medium

  * ppc_skip_test_ts_py.patch skips all tests in test_ts_py.py
    (testFDColor as well) on ppc arches.

 -- Drew Parsons <dparsons@debian.org>  Sun, 20 Sep 2020 23:31:37 +0800

petsc4py (3.13.0-7) unstable; urgency=medium

  * rename debian patch ppc_skip_testResetAndSolve.patch as
    ppc_skip_test_ts_py.patch and skip testSolve.

 -- Drew Parsons <dparsons@debian.org>  Fri, 18 Sep 2020 10:59:52 +0800

petsc4py (3.13.0-6) unstable; urgency=medium

  * update upstream homepage to https://gitlab.com/petsc/petsc4py
  * debian patch ppc_skip_testResetAndSolve.patch skips the
    testResetAndSolve test on ppc arches. Closes: #969715.

 -- Drew Parsons <dparsons@debian.org>  Thu, 17 Sep 2020 22:02:51 +0800

petsc4py (3.13.0-5) unstable; urgency=medium

  * swap Depends/Recommends relationships:
    python3-petsc4py Depends: python3-petsc4py-real3.13, etc.
    apt-get install python3-petsc4py should "just work".

 -- Drew Parsons <dparsons@debian.org>  Thu, 17 Sep 2020 11:38:56 +0800
