=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean
@@ -73,6 +73,15 @@
 	rm debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/underscore*.js
 	ln -sf /usr/share/javascript/underscore/underscore.js debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/underscore.js
 
+override_dh_sphinxdoc-indep:
+	dh_sphinxdoc -i --exclude=searchtools.js --exclude=doctools.js
+	rm debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/searchtools.js
+	ln -s /usr/share/sphinx/themes/basic/static/searchtools.js debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/searchtools.js
+	rm debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/doctools.js
+	ln -s /usr/share/sphinx/themes/basic/static/doctools.js debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/doctools.js
+	rm debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/language_data.js
+	ln -s /usr/share/javascript/sphinxdoc/1.0/language_data.js debian/python-petsc4py-doc/usr/share/doc/python-petsc4py-doc/usrman/_static/language_data.js
+
 override_dh_python3-indep:
 	dh_python3 -i
 	dh_numpy3 -i
@@ -92,6 +101,4 @@
 
 override_dh_installdeb:
 	dh_installdeb
-	for pkg in $$(dh_listpackages -a); do \
-	  sed -i -e 's/__PETSC4PY_VERSION__/$(PETSC4PY_VERSION)/' debian/$$pkg/DEBIAN/*; \
-	done
+	grep __PETSC4PY_VERSION__ -ls debian/*/DEBIAN/* | xargs -r  sed -i -e 's/__PETSC4PY_VERSION__/$(PETSC4PY_VERSION)/'
