## petsc4py 3.15.1

=== debian/changelog ===
petsc4py (3.15.1-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:49:46 +0000

petsc4py (3.15.1-2) unstable; urgency=medium

  * release petsc4py 3.15 to unstable

 -- Drew Parsons <dparsons@debian.org>  Wed, 20 Oct 2021 00:16:08 +0200

petsc4py (3.15.1-1exp1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Sep 2021 13:54:40 +0200

petsc4py (3.15.0-1exp1) experimental; urgency=medium

  * New upstream release (ABI update to PETSc 3.15)
  * Build-Depends: cython3 (>= 0.24~)

 -- Drew Parsons <dparsons@debian.org>  Mon, 19 Apr 2021 23:09:46 +0200
