=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13), dh-python,
  python3-all-dev (>= 3.3),
  python3-distutils,
- cython3 (>= 0.22),
+ cython3 (>= 0.24~),
  python3-numpy (>= 1:1.4.1-4~),
- libpetsc-real3.14-dev, libpetsc-complex3.14-dev,
- libpetsc64-real3.14-dev, libpetsc64-complex3.14-dev,
+ libpetsc-real3.15-dev, libpetsc-complex3.15-dev,
+ libpetsc64-real3.15-dev, libpetsc64-complex3.15-dev,
  chrpath,
  mpi-default-dev, libhdf5-mpi-dev,
  sphinx | python3-sphinx | dh-sequence-sphinxdoc
@@ -21,7 +21,7 @@
 Package: python3-petsc4py
 Architecture: all
 Depends: python3:any, ${python3:Depends}, ${misc:Depends},
- python3-petsc4py-real | python3-petsc4py-complex | python3-petsc4py-real3.14 | python3-petsc4py-complex3.14 | python3-petsc4py-64-real | python3-petsc4py-64-complex | python3-petsc4py-64-real3.14 | python3-petsc4py-64-complex3.14,
+ python3-petsc4py-real | python3-petsc4py-complex | python3-petsc4py-real3.15 | python3-petsc4py-complex3.15 | python3-petsc4py-64-real | python3-petsc4py-64-complex | python3-petsc4py-64-real3.15 | python3-petsc4py-64-complex3.15,
  python-petsc4py-doc
 Description: Python 3 bindings for PETSc libraries
  PETSc is a suite of data structures and routines for the scalable (parallel)
@@ -36,7 +36,7 @@
 
 Package: python3-petsc4py-real
 Architecture: all
-Depends: python3-petsc4py-real3.14, ${misc:Depends}
+Depends: python3-petsc4py-real3.15, ${misc:Depends}
 Description: Python 3 bindings for PETSc libraries (real numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
@@ -47,7 +47,7 @@
 
 Package: python3-petsc4py-complex
 Architecture: all
-Depends: python3-petsc4py-complex3.14, ${misc:Depends}
+Depends: python3-petsc4py-complex3.15, ${misc:Depends}
 Description: Python 3 bindings for PETSc libraries (complex numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
@@ -56,39 +56,39 @@
  This is a dummy package depending on the petsc4py build for the latest version
  of PETSc with complex number support.
 
-Package: python3-petsc4py-real3.14
+Package: python3-petsc4py-real3.15
 Architecture: any
 Depends: swig,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: python3-petsc4py (<< 3.10), python3-petsc4py-real (<< 3.12.0-7~)
 Recommends: python3-petsc4py (>= 3.12.0-5~), python-petsc4py-doc
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for PETSc 3.14 libraries (real numbers)
+Description: Python 3 bindings for PETSc 3.15 libraries (real numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
  It employs the MPI standard for all message-passing communication.
  .
- This package provides Python 3 bindings to almost all functions of PETSc 3.14
+ This package provides Python 3 bindings to almost all functions of PETSc 3.15
  with real number support.
 
-Package: python3-petsc4py-complex3.14
+Package: python3-petsc4py-complex3.15
 Architecture: any
 Depends: swig,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: python3-petsc4py (<< 3.10), python3-petsc4py-complex (<< 3.12.0-7~)
 Recommends: python3-petsc4py (>= 3.12.0-5~), python-petsc4py-doc
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for PETSc 3.14 libraries (complex numbers)
+Description: Python 3 bindings for PETSc 3.15 libraries (complex numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
  It employs the MPI standard for all message-passing communication.
  .
- This package provides Python 3 bindings to almost all functions of PETSc 3.14
+ This package provides Python 3 bindings to almost all functions of PETSc 3.15
  with complex number support.
 
 Package: python3-petsc4py-64-real
 Architecture: all
-Depends: python3-petsc4py-64-real3.14, ${misc:Depends}
+Depends: python3-petsc4py-64-real3.15, ${misc:Depends}
 Description: Python 3 bindings for 64-bit PETSc libraries (real numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
@@ -99,7 +99,7 @@
 
 Package: python3-petsc4py-64-complex
 Architecture: all
-Depends: python3-petsc4py-64-complex3.14, ${misc:Depends}
+Depends: python3-petsc4py-64-complex3.15, ${misc:Depends}
 Description: Python 3 bindings for 64-bit PETSc libraries (complex numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
@@ -108,34 +108,34 @@
  This is a dummy package depending on the petsc4py build for the latest version
  of PETSc with complex number support and 64-bit indexing.
 
-Package: python3-petsc4py-64-real3.14
+Package: python3-petsc4py-64-real3.15
 Architecture: any
 Depends: swig,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: python3-petsc4py (<< 3.10), python3-petsc4py-real (<< 3.12.0-7~)
 Recommends: python3-petsc4py (>= 3.12.0-5~), python-petsc4py-doc
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for 64-bit PETSc 3.14 libraries (real numbers)
+Description: Python 3 bindings for 64-bit PETSc 3.15 libraries (real numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
  It employs the MPI standard for all message-passing communication.
  .
- This package provides Python 3 bindings to almost all functions of PETSc 3.14
+ This package provides Python 3 bindings to almost all functions of PETSc 3.15
  with real number support and 64-bit indexing.
 
-Package: python3-petsc4py-64-complex3.14
+Package: python3-petsc4py-64-complex3.15
 Architecture: any
 Depends: swig,
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: python3-petsc4py (<< 3.10), python3-petsc4py-complex (<< 3.12.0-7~)
 Recommends: python3-petsc4py (>= 3.12.0-5~), python-petsc4py-doc
 XB-Python-Version: ${python3:Versions}
-Description: Python 3 bindings for 64-bit PETSc 3.14 libraries (complex numbers)
+Description: Python 3 bindings for 64-bit PETSc 3.15 libraries (complex numbers)
  PETSc is a suite of data structures and routines for the scalable (parallel)
  solution of scientific applications modeled by partial differential equations.
  It employs the MPI standard for all message-passing communication.
  .
- This package provides Python 3 bindings to almost all functions of PETSc 3.14
+ This package provides Python 3 bindings to almost all functions of PETSc 3.15
  with complex number support and 64-bit indexing.
 
 Package: python-petsc4py-doc
